# MacroEntry_s Struct Reference

`#include <rpmmacro.h>`

## Data Fields

struct MacroEntry_s * | prev
const char * | name
const char * | opts
const char * | body
int | used
int | level

## Detailed Description

The structure used to store a macro.

Definition at line 9 of file rpmmacro.h.

## Field Documentation

const char* MacroEntry_s::body

Macro body.

Definition at line 13 of file rpmmacro.h.

int MacroEntry_s::level

Scoping level.

Definition at line 15 of file rpmmacro.h.

const char* MacroEntry_s::name

Macro name.

Definition at line 11 of file rpmmacro.h.

const char* MacroEntry_s::opts

Macro parameters (a la getopt)

Definition at line 12 of file rpmmacro.h.

struct MacroEntry_s* MacroEntry_s::prev

Macro entry stack.

Definition at line 10 of file rpmmacro.h.

int MacroEntry_s::used

No. of expansions.

Definition at line 14 of file rpmmacro.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmmacro.h